Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.framework.autoproxy
Class BeanFactoryAdvisorRetrievalHelper

    java.lang.Object
      org.springframework.aop.framework.autoproxy.BeanFactoryAdvisorRetrievalHelper

    public class BeanFactoryAdvisorRetrievalHelper

extends Object

Helper for retrieving standard Spring Advisors from a BeanFactory, for use with auto-proxying.

Since:
  2.0.2
Author:
  Juergen Hoeller
See Also:
  `AbstractAdvisorAutoProxyCreator`

Constructor Summary
`BeanFactoryAdvisorRetrievalHelper(ConfigurableListableBeanFactory beanFactory)` Create a new BeanFactoryAdvisorRetrievalHelper for the given BeanFactory.

Method Summary
`List` | `findAdvisorBeans()` Find all eligible Advisor beans in the current bean factory, ignoring FactoryBeans and excluding beans that are currently in creation.
`protected boolean` | `isEligibleBean(String beanName)` Determine whether the aspect bean with the given name is eligible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanFactoryAdvisorRetrievalHelper

    public BeanFactoryAdvisorRetrievalHelper(ConfigurableListableBeanFactory beanFactory)

  Create a new BeanFactoryAdvisorRetrievalHelper for the given BeanFactory.

  Parameters:
    `beanFactory` - the ListableBeanFactory to scan

Method Detail

### findAdvisorBeans

    public List findAdvisorBeans()

  Find all eligible Advisor beans in the current bean factory, ignoring FactoryBeans and excluding beans that are currently in creation.

  Returns:
    the list of `Advisor` beans
  See Also:
    `isEligibleBean(java.lang.String)`

### isEligibleBean

    protected boolean isEligibleBean(String beanName)

  Determine whether the aspect bean with the given name is eligible.

  The default implementation always returns `true`.

  Parameters:
    `beanName` - the name of the aspect bean
  Returns:
    whether the bean is eligible

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.